using System.ComponentModel;
using System.Collections.Generic;
using MVCBlogo.NET.BO;
using MVCBlogo.NET.DAL;

namespace MVCBlogo.NET.BLL
{

    public class TagManager
    {

        public static int Count(int StartRow, int PageSize)
        {
            return TagDB.Count(StartRow, PageSize);
        }

        public static int CountByTag(int id)
        {
            return TagDB.CountByTag(id);
        }

        public static List<Tag> GetList()
        {
            return TagDB.GetList();
        }

        public static List<Tag> GetList(int StartRow, int PageSize)
        {
            return TagDB.GetList(StartRow, PageSize);
        }

        public static List<Tag> GetListUsedTags(int StartRow, int PageSize)
        {
            return TagDB.GetListUsedTags(StartRow,PageSize);
        }

        public static Tag GetItem(int id)
        {
            return TagDB.GetItem(id);
        }

        public static long Save(Tag myTag)
        {
            return TagDB.Save(myTag);
        }

        public static bool Delete(Tag myTag)
        {
            if (myTag != null)
                return TagDB.Delete(myTag.id);
            else
                return false;
        }
    }   
}

